Skip to main content
GET
/
extractions
/
sessions
/
{sessionId}
/
documents
List Session Documents
curl --request GET \
  --url https://api.raydocs.com/extractions/sessions/{sessionId}/documents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": 123,
      "filename": "<string>",
      "mime": "<string>",
      "size": 123,
      "sha256": "<string>",
      "status": "uploaded",
      "source_type": "upload",
      "source_url": "<string>",
      "parsings": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "config_hash": "<string>",
          "status": "queued",
          "parser_version": "<string>",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "current_page": 123,
    "last_page": 123,
    "per_page": 123,
    "total": 123
  }
}
List all workspace-scoped documents attached to an extraction session.

Authentication & Scope

Requires the sessions-read ability.

Request

GET /extractions/sessions/{sessionId}/documents HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>

Path Parameters

ParameterTypeRequiredDescription
sessionIduuidYesThe session ID

Response

200 OK – Session document list.
{
  "data": [
    {
    "id": "880e8400-e29b-41d4-a716-446655440000",
    "workspace_id": "660e8400-e29b-41d4-a716-446655440000",
    "filename": "invoice_001.pdf",
    "sha256": "6de7f6f5894c9f3fd1f6f8a4d1b3115d0d9b4b19d7a8a661f9fe90f9c2d80c3b",
    "status": "processed",
    "source": {
      "type": "upload"
    },
    "meta": {
      "page_count": 2,
      "file_size": 125000
    },
    "created_at": "2024-01-15T10:30:00Z"
    },
    {
    "id": "880e8400-e29b-41d4-a716-446655440001",
    "workspace_id": "660e8400-e29b-41d4-a716-446655440000",
    "filename": "invoice_002.pdf",
    "sha256": "bcf478e0af3f2aa34ad3f6c20d43d9e7ab332cd0ab471f6b4ea1986d8f97d5ab",
    "status": "processing",
    "source": {
      "type": "upload"
    },
    "meta": {},
    "created_at": "2024-01-15T10:35:00Z"
    }
  ]
}
The same document can appear in multiple sessions. Session membership is managed through an attachment relation, not document ownership.

Document Status Values

StatusDescription
uploadedDocument uploaded, awaiting processing
processingDocument is being parsed and chunked
processedDocument processed and ready for extraction
failedProcessing failed

Authorizations

Authorization
string
header
required

Personal Access Token created from the Raydocs dashboard. Include in the Authorization header: Bearer <your_token> See API Keys for token creation and management.

Path Parameters

sessionId
string<uuid>
required

Query Parameters

page
integer
default:1

Response

Successful

data
object[]
meta
object